Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.hudson
Class JBehavePluginType

    java.lang.Object
      com.thalesgroup.dtkit.metrics.hudson.api.type.MetricsType
          com.thalesgroup.dtkit.metrics.hudson.api.type.TestType
              org.jbehave.hudson.JBehavePluginType

All Implemented Interfaces:
  hudson.ExtensionPoint, hudson.model.Describable<com.thalesgroup.dtkit.metrics.hudson.api.type.TestType>, Serializable

    public class JBehavePluginType

extends com.thalesgroup.dtkit.metrics.hudson.api.type.TestType

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JBehavePluginType.DescriptorImpl`

Nested classes/interfaces inherited from interface hudson.ExtensionPoint
`hudson.ExtensionPoint.LegacyInstancesAreScopedToHudson`

Constructor Summary
`JBehavePluginType(String pattern, boolean failedIfNotNew, boolean deleteOutputFiles)`

Method Summary
`com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor<?>` | `getDescriptor()`

Methods inherited from class com.thalesgroup.dtkit.metrics.hudson.api.type.TestType
`all, getInputMetric`

Methods inherited from class com.thalesgroup.dtkit.metrics.hudson.api.type.MetricsType
`getPattern, isDeleteOutputFiles, isFaildedIfNotNew`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBehavePluginType

    @DataBoundConstructor
    public JBehavePluginType(String pattern,
                                                  boolean failedIfNotNew,
                                                  boolean deleteOutputFiles)

Method Detail

### getDescriptor

    public com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor<?> getDescriptor()

  Specified by:
    `getDescriptor` in interface `hudson.model.Describable<com.thalesgroup.dtkit.metrics.hudson.api.type.TestType>`
  Overrides:
    `getDescriptor` in class `com.thalesgroup.dtkit.metrics.hudson.api.type.TestType`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.